# DataExchange
TKSTEP
STEPConstruct

# STEPConstruct_DataMapOfPointTransient Class Reference

`#include <STEPConstruct_DataMapOfPointTransient.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | STEPConstruct_DataMapOfPointTransient (const Standard_Integer NbBuckets=1)
Standard_EXPORT STEPConstruct_DataMapOfPointTransient & | Assign (const STEPConstruct_DataMapOfPointTransient &Other)
STEPConstruct_DataMapOfPointTransient & | operator= (const STEPConstruct_DataMapOfPointTransient &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~STEPConstruct_DataMapOfPointTransient ()
Standard_EXPORT Standard_Boolean | Bind (const gp_Pnt &K, const Handle(Standard_Transient)&I)
Standard_EXPORT Standard_Boolean | IsBound (const gp_Pnt &K) const
Standard_EXPORT Standard_Boolean | UnBind (const gp_Pnt &K)
Standard_EXPORT const Handle_Standard_Transient & | Find (const gp_Pnt &K) const
const Handle_Standard_Transient & | operator() (const gp_Pnt &K) const
Standard_EXPORT Handle_Standard_Transient & | ChangeFind (const gp_Pnt &K)
Handle_Standard_Transient & | operator() (const gp_Pnt &K)

## Private Member Functions

Standard_EXPORT | STEPConstruct_DataMapOfPointTransient (const STEPConstruct_DataMapOfPointTransient &Other)

## Constructor & Destructor Documentation

Standard_EXPORT STEPConstruct_DataMapOfPointTransient::STEPConstruct_DataMapOfPointTransient | ( | const Standard_Integer | NbBuckets = `1` | ) |

STEPConstruct_DataMapOfPointTransient::~STEPConstruct_DataMapOfPointTransient | ( |  | ) | `[inline]`

Standard_EXPORT STEPConstruct_DataMapOfPointTransient::STEPConstruct_DataMapOfPointTransient | ( | const STEPConstruct_DataMapOfPointTransient & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT STEPConstruct_DataMapOfPointTransient& STEPConstruct_DataMapOfPointTransient::Assign | ( | const STEPConstruct_DataMapOfPointTransient & | Other | ) |

Standard_EXPORT Standard_Boolean STEPConstruct_DataMapOfPointTransient::Bind | ( | const gp_Pnt & | K,
|  | const Handle(Standard_Transient)& | I
| ) |

Standard_EXPORT Handle_Standard_Transient& STEPConstruct_DataMapOfPointTransient::ChangeFind | ( | const gp_Pnt & | K | ) |

Standard_EXPORT void STEPConstruct_DataMapOfPointTransient::Clear | ( |  | ) |

Standard_EXPORT const Handle_Standard_Transient& STEPConstruct_DataMapOfPointTransient::Find | ( | const gp_Pnt & | K | ) | const

Standard_EXPORT Standard_Boolean STEPConstruct_DataMapOfPointTransient::IsBound | ( | const gp_Pnt & | K | ) | const

void STEPConstruct_DataMapOfPointTransient::operator delete | ( | void * | anAddress | ) | `[inline]`

void* STEPConstruct_DataMapOfPointTransient::operator new | ( | size_t | size | ) | `[inline]`

void* STEPConstruct_DataMapOfPointTransient::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Handle_Standard_Transient& STEPConstruct_DataMapOfPointTransient::operator() | ( | const gp_Pnt & | K | ) | `[inline]`

const Handle_Standard_Transient& STEPConstruct_DataMapOfPointTransient::operator() | ( | const gp_Pnt & | K | ) | const`[inline]`

STEPConstruct_DataMapOfPointTransient& STEPConstruct_DataMapOfPointTransient::operator= | ( | const STEPConstruct_DataMapOfPointTransient & | Other | ) | `[inline]`

Standard_EXPORT void STEPConstruct_DataMapOfPointTransient::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean STEPConstruct_DataMapOfPointTransient::UnBind | ( | const gp_Pnt & | K | ) |

The documentation for this class was generated from the following file:

- STEPConstruct_DataMapOfPointTransient.hxx